summaryrefslogtreecommitdiff
path: root/init.d/70vcs-add
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/70vcs-add')
-rwxr-xr-xinit.d/70vcs-add11
1 files changed, 11 insertions, 0 deletions
diff --git a/init.d/70vcs-add b/init.d/70vcs-add
index e6ab3d1..9a9ec45 100755
--- a/init.d/70vcs-add
+++ b/init.d/70vcs-add
@@ -13,4 +13,15 @@ elif [ "$VCS" = bzr ]; then
if ! bzr add .; then
echo "etckeeper warning: bzr add failed" >&2
fi
+elif [ "$VCS" = darcs ]; then
+ # Don't warn if all the files were already added.
+ rc=0
+ res=$( darcs add -qr . 2>&1 ) || rc=$?
+ if test $rc -ne 0; then
+ if ! test $rc -eq 2 -a "${res%No files were added}" != "$res"; then
+ printf "%s" "$res"
+ echo "etckeeper warning: darcs add failed" >&2
+ fi
+ fi
+ unset rc res
fi